import os
import docker

client = docker.from_env()

def get_current_container_id():
    container_id = os.environ["HOSTNAME"]

    return container_id


def get_current_container_name():
    container_id = os.environ["HOSTNAME"]
    container = client.containers.get(container_id)
    container_name = container.name

    return container_name


def get_current_container_internal_port():
    container_id = os.environ["HOSTNAME"]
    container = client.containers.get(container_id)
    port_mappings = container.attrs['NetworkSettings']['Ports']
    
    # Extracting just the port numbers and removing the protocol part
    internal_ports = [port.split('/')[0] for port in port_mappings.keys()]
                
    return internal_ports


def get_internal_port_named_container(container_name):
    container = client.containers.get(container_name)
    port_mappings = container.attrs['NetworkSettings']['Ports']
    
    # Extracting just the port numbers and removing the protocol part
    internal_ports = [port.split('/')[0] for port in port_mappings.keys()]
                
    return internal_ports


def get_exposed_port_named_container(container_name):
    container = client.containers.get(container_name)
    port_mappings = container.attrs['NetworkSettings']['Ports']
    
    host_ports = []
    for container_port, mappings in port_mappings.items():
        if mappings is not None:  # Checking if there are mappings
            for mapping in mappings:
                host_ports.append(mapping['HostPort'])
                
    return host_ports
